Get a voicemail audio URL
GET
/api/v2/nova/voicemails/{id}/audio
curl --request GET \ --url https://api.sipstack.com/api/v2/nova/voicemails/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/audio \ --header 'x-api-key: <x-api-key>'import requests
url = "https://api.sipstack.com/api/v2/nova/voicemails/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/audio"
headers = {"x-api-key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.json())const url = 'https://api.sipstack.com/api/v2/nova/voicemails/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/audio';const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}import axios from 'axios';
const options = { method: 'GET', url: 'https://api.sipstack.com/api/v2/nova/voicemails/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/audio', headers: {'x-api-key': '<x-api-key>'}};
try { const { data } = await axios.request(options); console.log(data);} catch (error) { console.error(error);}Returns a short-lived presigned URL (1 hour) to download the
voicemail recording. Requires calls:read. Unlike the portal, this does
not mark the message read.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string format: uuid
Responses
Section titled “ Responses ”A presigned audio URL.
Media type application/json
object
success
boolean
data
object
url
string format: uri
expiresIn
Seconds until the URL expires.
integer
Example
{ "data": { "expiresIn": 3600 }}Missing or invalid API key.
Media type application/json
Inline error shape used by the messaging API and management endpoints.
object
success
boolean
error
string
Example
{ "success": false, "error": "Recipient phone number (to) is required"}Voicemail not found in your organization.
Media type application/json
Inline error shape used by the messaging API and management endpoints.
object
success
boolean
error
string
Example
{ "success": false, "error": "Recipient phone number (to) is required"}